# PulpPythonClient::PypiApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**read**](PypiApi.md#read) | **GET** /pypi/{path}/ | Get index summary



## read

> SummaryResponse read(path, opts)

Get index summary

Gets package summary stats of index.

### Example

```ruby
# load the gem
require 'pulp_python_client'

api_instance = PulpPythonClient::PypiApi.new
path = 'path_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Get index summary
  result = api_instance.read(path, opts)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling PypiApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**SummaryResponse**](SummaryResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

