# PulpPythonClient::PypiLegacyApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](PypiLegacyApi.md#create) | **POST** /pypi/{path}/legacy/ | Upload a package



## create

> PackageUploadTaskResponse create(path, content, sha256_digest, opts)

Upload a package

Upload package to the index.  This is the endpoint that tools like Twine and Poetry use for their upload commands.

### Example

```ruby
# load the gem
require 'pulp_python_client'
# setup authorization
PulpPythonClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpPythonClient::PypiLegacyApi.new
path = 'path_example' # String | 
content = File.new('/path/to/file') # File | A Python package release file to upload to the index.
sha256_digest = 'sha256_digest_example' # String | SHA256 of package to validate upload integrity.
opts = {
  action: 'file_upload' # String | Defaults to `file_upload`, don't change it or request will fail!
}

begin
  #Upload a package
  result = api_instance.create(path, content, sha256_digest, opts)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling PypiLegacyApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **content** | **File**| A Python package release file to upload to the index. | 
 **sha256_digest** | **String**| SHA256 of package to validate upload integrity. | 
 **action** | **String**| Defaults to &#x60;file_upload&#x60;, don&#39;t change it or request will fail! | [optional] [default to &#39;file_upload&#39;]

### Return type

[**PackageUploadTaskResponse**](PackageUploadTaskResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: multipart/form-data, application/x-www-form-urlencoded
- **Accept**: application/json

