# PulpPythonClient::PypiMetadataApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**read**](PypiMetadataApi.md#read) | **GET** /pypi/{path}/pypi/{meta}/ | Get package metadata



## read

> PackageMetadataResponse read(meta, path, opts)

Get package metadata

Retrieves the package's core-metadata specified by https://packaging.python.org/specifications/core-metadata/. `meta` must be a path in form of `{package}/json/` or `{package}/{version}/json/`

### Example

```ruby
# load the gem
require 'pulp_python_client'

api_instance = PulpPythonClient::PypiMetadataApi.new
meta = 'meta_example' # String | 
path = 'path_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Get package metadata
  result = api_instance.read(meta, path, opts)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling PypiMetadataApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **meta** | **String**|  | 
 **path** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PackageMetadataResponse**](PackageMetadataResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

