# PulpPythonClient::PythonPythonPackageContent

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**relative_path** | **String** | Path where the artifact is located relative to distributions base_path | 
**file** | **File** | An uploaded file that may be turned into the artifact of the content unit. | [optional] 
**repository** | **String** | A URI of a repository the new content unit should be associated with. | [optional] 
**sha256** | **String** | The SHA256 digest of this package. | [optional] [default to &#39;&#39;]
**summary** | **String** | A one-line summary of what the package does. | [optional] 
**description** | **String** | A longer description of the package that can run to several paragraphs. | [optional] 
**description_content_type** | **String** | A string stating the markup syntax (if any) used in the distribution’s description, so that tools can intelligently render the description. | [optional] 
**keywords** | **String** | Additional keywords to be used to assist searching for the package in a larger catalog. | [optional] 
**home_page** | **String** | The URL for the package&#39;s home page. | [optional] 
**download_url** | **String** | Legacy field denoting the URL from which this package can be downloaded. | [optional] 
**author** | **String** | Text containing the author&#39;s name. Contact information can also be added, separated with newlines. | [optional] 
**author_email** | **String** | The author&#39;s e-mail address.  | [optional] 
**maintainer** | **String** | The maintainer&#39;s name at a minimum; additional contact information may be provided. | [optional] 
**maintainer_email** | **String** | The maintainer&#39;s e-mail address. | [optional] 
**license** | **String** | Text indicating the license covering the distribution | [optional] 
**requires_python** | **String** | The Python version(s) that the distribution is guaranteed to be compatible with. | [optional] 
**project_url** | **String** | A browsable URL for the project and a label for it, separated by a comma. | [optional] 
**project_urls** | [**Object**](.md) | A dictionary of labels and URLs for the project. | [optional] 
**platform** | **String** | A comma-separated list of platform specifications, summarizing the operating systems supported by the package. | [optional] 
**supported_platform** | **String** | Field to specify the OS and CPU for which the binary package was compiled.  | [optional] 
**requires_dist** | [**Object**](.md) | A JSON list containing names of some other distutils project required by this distribution. | [optional] 
**provides_dist** | [**Object**](.md) | A JSON list containing names of a Distutils project which is contained within this distribution. | [optional] 
**obsoletes_dist** | [**Object**](.md) | A JSON list containing names of a distutils project&#39;s distribution which this distribution renders obsolete, meaning that the two projects should not be installed at the same time. | [optional] 
**requires_external** | [**Object**](.md) | A JSON list containing some dependency in the system that the distribution is to be used. | [optional] 
**classifiers** | [**Object**](.md) | A JSON list containing classification values for a Python package. | [optional] 

## Code Sample

```ruby
require 'PulpPythonClient'

instance = PulpPythonClient::PythonPythonPackageContent.new(artifact: null,
                                 relative_path: null,
                                 file: null,
                                 repository: null,
                                 sha256: null,
                                 summary: null,
                                 description: null,
                                 description_content_type: null,
                                 keywords: null,
                                 home_page: null,
                                 download_url: null,
                                 author: null,
                                 author_email: null,
                                 maintainer: null,
                                 maintainer_email: null,
                                 license: null,
                                 requires_python: null,
                                 project_url: null,
                                 project_urls: null,
                                 platform: null,
                                 supported_platform: null,
                                 requires_dist: null,
                                 provides_dist: null,
                                 obsoletes_dist: null,
                                 requires_external: null,
                                 classifiers: null)
```


