# PulpPythonClient::RepositoriesPythonApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RepositoriesPythonApi.md#create) | **POST** /pulp/api/v3/repositories/python/python/ | Create a python repository
[**delete**](RepositoriesPythonApi.md#delete) | **DELETE** {python_python_repository_href} | Delete a python repository
[**list**](RepositoriesPythonApi.md#list) | **GET** /pulp/api/v3/repositories/python/python/ | List python repositorys
[**modify**](RepositoriesPythonApi.md#modify) | **POST** {python_python_repository_href}modify/ | Modify Repository Content
[**partial_update**](RepositoriesPythonApi.md#partial_update) | **PATCH** {python_python_repository_href} | Update a python repository
[**read**](RepositoriesPythonApi.md#read) | **GET** {python_python_repository_href} | Inspect a python repository
[**sync**](RepositoriesPythonApi.md#sync) | **POST** {python_python_repository_href}sync/ | Sync from remote
[**update**](RepositoriesPythonApi.md#update) | **PUT** {python_python_repository_href} | Update a python repository



## create

> PythonPythonRepositoryResponse create(python_python_repository)

Create a python repository

PythonRepository represents a single Python repository, to which content can be synced, added, or removed.

### Example

```ruby
# load the gem
require 'pulp_python_client'
# setup authorization
PulpPythonClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpPythonClient::RepositoriesPythonApi.new
python_python_repository = PulpPythonClient::PythonPythonRepository.new # PythonPythonRepository | 

begin
  #Create a python repository
  result = api_instance.create(python_python_repository)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling RepositoriesPythonApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **python_python_repository** | [**PythonPythonRepository**](PythonPythonRepository.md)|  | 

### Return type

[**PythonPythonRepositoryResponse**](PythonPythonRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(python_python_repository_href)

Delete a python repository

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_python_client'
# setup authorization
PulpPythonClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpPythonClient::RepositoriesPythonApi.new
python_python_repository_href = 'python_python_repository_href_example' # String | 

begin
  #Delete a python repository
  result = api_instance.delete(python_python_repository_href)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling RepositoriesPythonApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **python_python_repository_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedpythonPythonRepositoryResponseList list(opts)

List python repositorys

PythonRepository represents a single Python repository, to which content can be synced, added, or removed.

### Example

```ruby
# load the gem
require 'pulp_python_client'
# setup authorization
PulpPythonClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpPythonClient::RepositoriesPythonApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | 
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  pulp_label_select: 'pulp_label_select_example', # String | Filter labels by search string
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List python repositorys
  result = api_instance.list(opts)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling RepositoriesPythonApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**|  | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **pulp_label_select** | **String**| Filter labels by search string | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedpythonPythonRepositoryResponseList**](PaginatedpythonPythonRepositoryResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## modify

> AsyncOperationResponse modify(python_python_repository_href, repository_add_remove_content)

Modify Repository Content

Trigger an asynchronous task to create a new repository version.

### Example

```ruby
# load the gem
require 'pulp_python_client'
# setup authorization
PulpPythonClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpPythonClient::RepositoriesPythonApi.new
python_python_repository_href = 'python_python_repository_href_example' # String | 
repository_add_remove_content = PulpPythonClient::RepositoryAddRemoveContent.new # RepositoryAddRemoveContent | 

begin
  #Modify Repository Content
  result = api_instance.modify(python_python_repository_href, repository_add_remove_content)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling RepositoriesPythonApi->modify: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **python_python_repository_href** | **String**|  | 
 **repository_add_remove_content** | [**RepositoryAddRemoveContent**](RepositoryAddRemoveContent.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(python_python_repository_href, patchedpython_python_repository)

Update a python repository

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_python_client'
# setup authorization
PulpPythonClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpPythonClient::RepositoriesPythonApi.new
python_python_repository_href = 'python_python_repository_href_example' # String | 
patchedpython_python_repository = PulpPythonClient::PatchedpythonPythonRepository.new # PatchedpythonPythonRepository | 

begin
  #Update a python repository
  result = api_instance.partial_update(python_python_repository_href, patchedpython_python_repository)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling RepositoriesPythonApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **python_python_repository_href** | **String**|  | 
 **patchedpython_python_repository** | [**PatchedpythonPythonRepository**](PatchedpythonPythonRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> PythonPythonRepositoryResponse read(python_python_repository_href, opts)

Inspect a python repository

PythonRepository represents a single Python repository, to which content can be synced, added, or removed.

### Example

```ruby
# load the gem
require 'pulp_python_client'
# setup authorization
PulpPythonClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpPythonClient::RepositoriesPythonApi.new
python_python_repository_href = 'python_python_repository_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a python repository
  result = api_instance.read(python_python_repository_href, opts)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling RepositoriesPythonApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **python_python_repository_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PythonPythonRepositoryResponse**](PythonPythonRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## sync

> AsyncOperationResponse sync(python_python_repository_href, repository_sync_url)

Sync from remote

 Trigger an asynchronous task to sync python content. The sync task will retrieve Python content from the specified `Remote` and update the specified `Respository`, creating a new  `RepositoryVersion`.

### Example

```ruby
# load the gem
require 'pulp_python_client'
# setup authorization
PulpPythonClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpPythonClient::RepositoriesPythonApi.new
python_python_repository_href = 'python_python_repository_href_example' # String | 
repository_sync_url = PulpPythonClient::RepositorySyncURL.new # RepositorySyncURL | 

begin
  #Sync from remote
  result = api_instance.sync(python_python_repository_href, repository_sync_url)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling RepositoriesPythonApi->sync: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **python_python_repository_href** | **String**|  | 
 **repository_sync_url** | [**RepositorySyncURL**](RepositorySyncURL.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## update

> AsyncOperationResponse update(python_python_repository_href, python_python_repository)

Update a python repository

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_python_client'
# setup authorization
PulpPythonClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpPythonClient::RepositoriesPythonApi.new
python_python_repository_href = 'python_python_repository_href_example' # String | 
python_python_repository = PulpPythonClient::PythonPythonRepository.new # PythonPythonRepository | 

begin
  #Update a python repository
  result = api_instance.update(python_python_repository_href, python_python_repository)
  p result
rescue PulpPythonClient::ApiError => e
  puts "Exception when calling RepositoriesPythonApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **python_python_repository_href** | **String**|  | 
 **python_python_repository** | [**PythonPythonRepository**](PythonPythonRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

