=begin
#Pulp 3 API

#Fetch, Upload, Organize, and Distribute Software Packages

The version of the OpenAPI document: v3
Contact: pulp-list@redhat.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for PulpPythonClient::ContentPackagesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ContentPackagesApi' do
  before do
    # run before each test
    @api_instance = PulpPythonClient::ContentPackagesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ContentPackagesApi' do
    it 'should create an instance of ContentPackagesApi' do
      expect(@api_instance).to be_instance_of(PulpPythonClient::ContentPackagesApi)
    end
  end

  # unit tests for create
  # Create a python package content
  # Trigger an asynchronous task to create content,optionally create new repository version.
  # @param relative_path Path where the artifact is located relative to distributions base_path
  # @param [Hash] opts the optional parameters
  # @option opts [String] :artifact Artifact file representing the physical content
  # @option opts [File] :file An uploaded file that may be turned into the artifact of the content unit.
  # @option opts [String] :repository A URI of a repository the new content unit should be associated with.
  # @option opts [String] :sha256 The SHA256 digest of this package.
  # @option opts [String] :summary A one-line summary of what the package does.
  # @option opts [String] :description A longer description of the package that can run to several paragraphs.
  # @option opts [String] :description_content_type A string stating the markup syntax (if any) used in the distribution’s description, so that tools can intelligently render the description.
  # @option opts [String] :keywords Additional keywords to be used to assist searching for the package in a larger catalog.
  # @option opts [String] :home_page The URL for the package&#39;s home page.
  # @option opts [String] :download_url Legacy field denoting the URL from which this package can be downloaded.
  # @option opts [String] :author Text containing the author&#39;s name. Contact information can also be added, separated with newlines.
  # @option opts [String] :author_email The author&#39;s e-mail address. 
  # @option opts [String] :maintainer The maintainer&#39;s name at a minimum; additional contact information may be provided.
  # @option opts [String] :maintainer_email The maintainer&#39;s e-mail address.
  # @option opts [String] :license Text indicating the license covering the distribution
  # @option opts [String] :requires_python The Python version(s) that the distribution is guaranteed to be compatible with.
  # @option opts [String] :project_url A browsable URL for the project and a label for it, separated by a comma.
  # @option opts [Object] :project_urls A dictionary of labels and URLs for the project.
  # @option opts [String] :platform A comma-separated list of platform specifications, summarizing the operating systems supported by the package.
  # @option opts [String] :supported_platform Field to specify the OS and CPU for which the binary package was compiled. 
  # @option opts [Object] :requires_dist A JSON list containing names of some other distutils project required by this distribution.
  # @option opts [Object] :provides_dist A JSON list containing names of a Distutils project which is contained within this distribution.
  # @option opts [Object] :obsoletes_dist A JSON list containing names of a distutils project&#39;s distribution which this distribution renders obsolete, meaning that the two projects should not be installed at the same time.
  # @option opts [Object] :requires_external A JSON list containing some dependency in the system that the distribution is to be used.
  # @option opts [Object] :classifiers A JSON list containing classification values for a Python package.
  # @return [AsyncOperationResponse]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list
  # List python package contents
  #  PythonPackageContent represents each individually installable Python package. In the Python ecosystem, this is called a Python Distribution, sometimes (ambiguously) refered to as a package. In Pulp Python, we refer to it as PythonPackageContent. Each PythonPackageContent corresponds to a single filename, for example &#x60;pulpcore-3.0.0rc1-py3-none-any.whl&#x60; or &#x60;pulpcore-3.0.0rc1.tar.gz&#x60;.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :author Filter results where author matches value
  # @option opts [Array<String>] :author__in Filter results where author is in a comma-separated list of values
  # @option opts [String] :filename Filter results where filename matches value
  # @option opts [String] :filename__contains Filter results where filename contains value
  # @option opts [Array<String>] :filename__in Filter results where filename is in a comma-separated list of values
  # @option opts [String] :keywords__contains Filter results where keywords contains value
  # @option opts [Array<String>] :keywords__in Filter results where keywords is in a comma-separated list of values
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [String] :name Filter results where name matches value
  # @option opts [Array<String>] :name__in Filter results where name is in a comma-separated list of values
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [String] :ordering Which field to use when ordering the results.
  # @option opts [String] :packagetype Filter results where packagetype matches value
  # @option opts [Array<String>] :packagetype__in Filter results where packagetype is in a comma-separated list of values
  # @option opts [String] :repository_version Repository Version referenced by HREF
  # @option opts [String] :repository_version_added Repository Version referenced by HREF
  # @option opts [String] :repository_version_removed Repository Version referenced by HREF
  # @option opts [String] :requires_python Filter results where requires_python matches value
  # @option opts [String] :requires_python__contains Filter results where requires_python contains value
  # @option opts [Array<String>] :requires_python__in Filter results where requires_python is in a comma-separated list of values
  # @option opts [String] :sha256 Filter results where sha256 matches value
  # @option opts [Array<String>] :sha256__in Filter results where sha256 is in a comma-separated list of values
  # @option opts [String] :fields A list of fields to include in the response.
  # @option opts [String] :exclude_fields A list of fields to exclude from the response.
  # @return [PaginatedpythonPythonPackageContentResponseList]
  describe 'list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for read
  # Inspect a python package content
  #  PythonPackageContent represents each individually installable Python package. In the Python ecosystem, this is called a Python Distribution, sometimes (ambiguously) refered to as a package. In Pulp Python, we refer to it as PythonPackageContent. Each PythonPackageContent corresponds to a single filename, for example &#x60;pulpcore-3.0.0rc1-py3-none-any.whl&#x60; or &#x60;pulpcore-3.0.0rc1.tar.gz&#x60;.
  # @param python_python_package_content_href 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :fields A list of fields to include in the response.
  # @option opts [String] :exclude_fields A list of fields to exclude from the response.
  # @return [PythonPythonPackageContentResponse]
  describe 'read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
